<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">sdkInterfaces</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage.html">storage</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html">StubMiscStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_stub_misc_storage_8h_source.html">StubMiscStorage.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::storage\l::MiscStorageInterface" alt="" coords="5,5,202,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::storage\l::MiscStorageInterface" alt="" coords="5,5,202,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">MiscStorageInterface functions</div></td></tr>
<tr class="memitem:ad86e5ba983a89d85686fcac1c800495e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#ad86e5ba983a89d85686fcac1c800495e">createDatabase</a> () override</td></tr>
<tr class="separator:ad86e5ba983a89d85686fcac1c800495e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9b98db97902ddad7baf5239edb5a2bf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#aa9b98db97902ddad7baf5239edb5a2bf">open</a> () override</td></tr>
<tr class="separator:aa9b98db97902ddad7baf5239edb5a2bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a376714ec74a99340ea8eae172d1f9f89"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a376714ec74a99340ea8eae172d1f9f89">isOpened</a> () override</td></tr>
<tr class="separator:a376714ec74a99340ea8eae172d1f9f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6479774c22cefcdeded49986aca3eaa8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a6479774c22cefcdeded49986aca3eaa8">close</a> () override</td></tr>
<tr class="separator:a6479774c22cefcdeded49986aca3eaa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16300139b1400f0023f3c507a623d43e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a16300139b1400f0023f3c507a623d43e">createTable</a> (const std::string &amp;componentName, const std::string &amp;tableName, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">KeyType</a> keyType, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">ValueType</a> valueType) override</td></tr>
<tr class="separator:a16300139b1400f0023f3c507a623d43e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd19f2efade0e25e0e50a10f7c2480b2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#abd19f2efade0e25e0e50a10f7c2480b2">clearTable</a> (const std::string &amp;componentName, const std::string &amp;tableName) override</td></tr>
<tr class="separator:abd19f2efade0e25e0e50a10f7c2480b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb32b5782ac7fc32e5064ce6046cdc41"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#abb32b5782ac7fc32e5064ce6046cdc41">deleteTable</a> (const std::string &amp;componentName, const std::string &amp;tableName) override</td></tr>
<tr class="separator:abb32b5782ac7fc32e5064ce6046cdc41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a093c0c1f0436aa87503eaafa1e9969b6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a093c0c1f0436aa87503eaafa1e9969b6">get</a> (const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, std::string *value) override</td></tr>
<tr class="separator:a093c0c1f0436aa87503eaafa1e9969b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa090b8c99c2aab019a0f6a67ea256a10"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#aa090b8c99c2aab019a0f6a67ea256a10">add</a> (const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, const std::string &amp;value) override</td></tr>
<tr class="separator:aa090b8c99c2aab019a0f6a67ea256a10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeea128c21ba1d8b3931da4517067c6ac"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#aeea128c21ba1d8b3931da4517067c6ac">update</a> (const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, const std::string &amp;value) override</td></tr>
<tr class="separator:aeea128c21ba1d8b3931da4517067c6ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4396caba80bc69964f693d16f854ec6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#af4396caba80bc69964f693d16f854ec6">put</a> (const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, const std::string &amp;value) override</td></tr>
<tr class="separator:af4396caba80bc69964f693d16f854ec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9e8be35380fc8cf4765a561d95d6b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a3ca9e8be35380fc8cf4765a561d95d6b">remove</a> (const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key) override</td></tr>
<tr class="separator:a3ca9e8be35380fc8cf4765a561d95d6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8654cdf8d3cf53e9b9ae25d8e3f2164"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#af8654cdf8d3cf53e9b9ae25d8e3f2164">tableEntryExists</a> (const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, bool *tableEntryExistsValue) override</td></tr>
<tr class="separator:af8654cdf8d3cf53e9b9ae25d8e3f2164"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd4c9a39aa3589134e9917f7ecf5af77"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#acd4c9a39aa3589134e9917f7ecf5af77">tableExists</a> (const std::string &amp;componentName, const std::string &amp;tableName, bool *tableExistsValue) override</td></tr>
<tr class="separator:acd4c9a39aa3589134e9917f7ecf5af77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8e5bb74a28aa13c9b8354166bb10d2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a2a8e5bb74a28aa13c9b8354166bb10d2">load</a> (const std::string &amp;componentName, const std::string &amp;tableName, std::unordered_map&lt; std::string, std::string &gt; *valueContainer) override</td></tr>
<tr class="separator:a2a8e5bb74a28aa13c9b8354166bb10d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a></td></tr>
<tr class="memitem:aa4659428caba77e2fbac2cd05b3196ea inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#aa4659428caba77e2fbac2cd05b3196ea">~MiscStorageInterface</a> ()=default</td></tr>
<tr class="separator:aa4659428caba77e2fbac2cd05b3196ea inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af9bf1397ff545cc54688ae627c33535c"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html">StubMiscStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#af9bf1397ff545cc54688ae627c33535c">create</a> ()</td></tr>
<tr class="separator:af9bf1397ff545cc54688ae627c33535c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a></td></tr>
<tr class="memitem:a8dba8c0444a0cc2aaed5b8353c513eea inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">KeyType</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eeaacc0e50ab008c2edd61f05cd3ff86a1eb">KeyType::UNKNOWN_KEY</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eeaa836ee8418abef9a003aabffd406c2591">KeyType::STRING_KEY</a>
 }</td></tr>
<tr class="memdesc:a8dba8c0444a0cc2aaed5b8353c513eea"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the key column in Misc DB.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">More...</a><br /></td></tr>
<tr class="separator:a8dba8c0444a0cc2aaed5b8353c513eea inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab18544389e7b78a72b7a073d52410990 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">ValueType</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990a209914a113a06c4306340578dce72238">ValueType::UNKNOWN_VALUE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990aa833d6893ea57e4ffc5155cc2f44e6cb">ValueType::STRING_VALUE</a>
 }</td></tr>
<tr class="memdesc:ab18544389e7b78a72b7a073d52410990"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the value column in Misc DB.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">More...</a><br /></td></tr>
<tr class="separator:ab18544389e7b78a72b7a073d52410990 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">In memory implementation for <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">MiscStorageInterface</a></code>. This class is not thread safe. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa090b8c99c2aab019a0f6a67ea256a10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa090b8c99c2aab019a0f6a67ea256a10">&#9670;&nbsp;</a></span>add()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::add </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Adds a value in the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramname">key</td><td>The key for the table entry. </td></tr>
    <tr><td class="paramname">value</td><td>The value of the table entry. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd><code>value</code> should be a string literal. </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the value was added ok, <code>false</code> if not. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a843d6fe7a97bb13b588af8f52ca4aacd">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="abd19f2efade0e25e0e50a10f7c2480b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd19f2efade0e25e0e50a10f7c2480b2">&#9670;&nbsp;</a></span>clearTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::clearTable </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Removes all the entries in the table. The table itself will continue to exist.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramname">tableName</td><td>The table name. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the table is cleared ok, <code>false</code> if the table couldn't be cleared. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ac7e30b187957da2c3f56a6171ad6ea02">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="a6479774c22cefcdeded49986aca3eaa8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6479774c22cefcdeded49986aca3eaa8">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Close the currently open database, if one is open. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a2c545ad8cb26869a10f5baa3593e0c6a">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="af9bf1397ff545cc54688ae627c33535c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9bf1397ff545cc54688ae627c33535c">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html">StubMiscStorage</a> &gt; alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad86e5ba983a89d85686fcac1c800495e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad86e5ba983a89d85686fcac1c800495e">&#9670;&nbsp;</a></span>createDatabase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::createDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates a new database. If a database is already being handled by this object or there is another internal error, then this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is created ok, or <code>false</code> if a database is already being handled by this object or there is a problem creating the database. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a7b85f4b54ed300d4429050fdc82eae8f">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="a16300139b1400f0023f3c507a623d43e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16300139b1400f0023f3c507a623d43e">&#9670;&nbsp;</a></span>createTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::createTable </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">KeyType</a>&#160;</td>
          <td class="paramname"><em>keyType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">ValueType</a>&#160;</td>
          <td class="paramname"><em>valueType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Create a simple key/value pair table. If there is a problem creating the table, this function returns false.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramname">keyType</td><td>The key type. </td></tr>
    <tr><td class="paramname">valueType</td><td>The value type. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the table is created ok, <code>false</code> if the table couldn't be created. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#aebee5b2a6006be93696f6f950a98c900">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="abb32b5782ac7fc32e5064ce6046cdc41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb32b5782ac7fc32e5064ce6046cdc41">&#9670;&nbsp;</a></span>deleteTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::deleteTable </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Deletes the table. The table must be empty before you can delete the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramname">tableName</td><td>The table name. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the table is deleted ok, <code>false</code> if the table couldn't be deleted. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a721c628551aebf43edc96b1f267083ff">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="a093c0c1f0436aa87503eaafa1e9969b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a093c0c1f0436aa87503eaafa1e9969b6">&#9670;&nbsp;</a></span>get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::get </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Gets the value associated with a key in the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">key</td><td>The key for the table entry. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>The value associated with the key in the table. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true If the value was found out ok, <code>false</code> if not. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a0519cbc3e78ea65a0cf90626e5a36699">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="a376714ec74a99340ea8eae172d1f9f89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a376714ec74a99340ea8eae172d1f9f89">&#9670;&nbsp;</a></span>isOpened()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::isOpened </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns true if this object is already managing an open database, false otherwise.</p>
<dl class="section return"><dt>Returns</dt><dd>True if this object is already managing an open database, false otherwise. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a685c6de45c8b72d9fbfca0256bbc0c66">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="a2a8e5bb74a28aa13c9b8354166bb10d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a8e5bb74a28aa13c9b8354166bb10d2">&#9670;&nbsp;</a></span>load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::load </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::unordered_map&lt; std::string, std::string &gt; *&#160;</td>
          <td class="paramname"><em>valueContainer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Loads the table entries into a map.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">valueContainer</td><td>The container for the values in the table. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the values were loaded ok, <code>false</code> if not. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a9dffb23701aff647265b7d78df6674a5">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="aa9b98db97902ddad7baf5239edb5a2bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9b98db97902ddad7baf5239edb5a2bf">&#9670;&nbsp;</a></span>open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Open an existing database. If this object is already managing an open database, or there is a problem opening the database, this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is opened ok, <code>false</code> if this object is already managing an open database, or if there is another internal reason the database could not be opened. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#af53532a9fd527c2d1240000621dbac39">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="af4396caba80bc69964f693d16f854ec6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4396caba80bc69964f693d16f854ec6">&#9670;&nbsp;</a></span>put()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::put </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Puts a value in the table. Basically, this will add the entry for the key if it doesn't already exist, or it will update the entry for the key if it already exists.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramname">key</td><td>The key for the table entry. </td></tr>
    <tr><td class="paramname">value</td><td>The value of the table entry. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd><code>value</code> should be a literal string. </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the value was put ok, <code>false</code> if not. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a5652334db7623e0ebb765db25a29b539">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="a3ca9e8be35380fc8cf4765a561d95d6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ca9e8be35380fc8cf4765a561d95d6b">&#9670;&nbsp;</a></span>remove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::remove </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Removes a value from the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramname">key</td><td>The key for the table entry. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the value was removed ok, <code>false</code> if not. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#af737ce62ca2155a2bc34dfaa2661ea68">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="af8654cdf8d3cf53e9b9ae25d8e3f2164"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8654cdf8d3cf53e9b9ae25d8e3f2164">&#9670;&nbsp;</a></span>tableEntryExists()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::tableEntryExists </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>tableEntryExistsValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks if a key exists in the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">key</td><td>The key for the table entry. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">tableEntryExistsValue</td><td>True if the key exists, <code>false</code> if not. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the table entry's existence was found out ok, else false.. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a1324b7d34d97fc68e2487f87fa64223b">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="acd4c9a39aa3589134e9917f7ecf5af77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd4c9a39aa3589134e9917f7ecf5af77">&#9670;&nbsp;</a></span>tableExists()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::tableExists </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>tableExistsValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks if a table exists in the DB.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">componentName</td><td>The component name. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">tableExistsValue</td><td>True if the table exists, <code>false</code> if not. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the table's existence was found out ok, else false. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a4685794a8d9a4c8e4771d52ec4fcaa17">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<a id="aeea128c21ba1d8b3931da4517067c6ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeea128c21ba1d8b3931da4517067c6ac">&#9670;&nbsp;</a></span>update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::update </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>componentName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Updates a value in the table.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tableName</td><td>The table name. </td></tr>
    <tr><td class="paramname">key</td><td>The key for the table entry. </td></tr>
    <tr><td class="paramname">value</td><td>The value of the table entry. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd><code>value</code> should be a literal string. </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the value was updated ok, <code>false</code> if not (including if the entry does not exist). </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a3e43fc370aff3f4ae622807c1486b93a">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/SDKInterfaces/test/AVSCommon/SDKInterfaces/Storage/<a class="el" href="_stub_misc_storage_8h_source.html">StubMiscStorage.h</a></li>
<li>/workplace/avs-device-sdk/AVSCommon/SDKInterfaces/test/src/<a class="el" href="_stub_misc_storage_8cpp.html">StubMiscStorage.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
